/*_############################################################################
  _## 
  _##  SNMP4J-AgentJMX - TransformType.java  
  _## 
  _##  Copyright (C) 2006-2009  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.agent.mo.jmx.types;

import javax.management.*;

public interface TransformType {

  Object transformFromNative(Object nativeValue, ObjectName objectName);

  Object transformToNative(Object transformedValue, Object oldNativeValue,
                           ObjectName objectName);

  /**
   * Indicates whether a caller of a "toNative" transformation needs to provide
   * the old native value in order to get a successful transformation. Otherwise
   * the caller may provide a <code>null</code> to save CPU cycles.
   *
   * @return
   *    <code>true</code> if the caller must always provide a none
   *    <code>null</code> value for the <code>nativeValue</code> parameter of
   *    the transformation methods.
   */
  boolean isNativeValueAlwaysNeeded();
}
